@font-face {
  font-family: "WiiU";
  src: url("FOT-RodinNTLG Pro DB.otf") format('opentype');
}

body {
    background-repeat: no-repeat;
    background-size: cover;
    color: black;
    font-family: WiiU;
    color: #828282;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
    font-size: 20px;
    margin-top: 20px;
    z-index: 1;
}

.topbar {
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.4);
    color: #f1f1f1;
    width: 100%;
    padding-top: 10px;
    border-radius: 0px 0px 30px 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    transition: ease 0.3s;
}

    .topbar:hover {
        transform: translateY(0px);
    }

    .topbar:not(:hover) {
        transform: translateY(-20px);
    }

.green-content {
    background-image: linear-gradient(to top, #fff, #eee);
    border-radius: 15px;
    position: relative;
    padding: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}

    .green-content img {
        width: 100px;
        height: auto;
        margin-bottom: 10px;
        border-radius: 15px;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    }

    @media (min-width:800px) {
        .green-content {
            top: 150px;
            padding: 20px;
        }

        body {
            background-image: url('bg.jpg');
        }
    }

    @media (max-width:800px) {
        .green-content {
            top: 100px;
        }

        body {
            background-image: url('bgphone.jpg');
            padding-bottom: 500px;
        }
    }

    .custom-checkbox input[type="checkbox"] {
        display: none;
        position: absolute;
    }

    .custom-checkbox label {
        display: inline-block;
        position: relative;
        padding-left: 30px;
        cursor: pointer;
    }

.checkmark {
    height: fit-content;
    width: fit-content;
    background-image: linear-gradient(to top, #fff, #eee);
    border-radius: 10px;
    padding: 4px 10px 4px 10px;
    display: inline-block;
    vertical-align: middle;
    opacity: 1;
    color: #828282;
    transition: ease 0.3s;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    border: 2px solid #fff;
    cursor: pointer;
    opacity: 0.8;
}

    .checkmark:hover {
        transform: scale(1.05);
    }

    .checkmark:active {
        transform: scale(0.95);
    }

    .custom-checkbox input[type="checkbox"]:checked + .checkmark {
        background-image: linear-gradient(to top, #fff, #eee);
    }

    input:checked ~ .checkmark:after {
        display: none;
    }

    .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    .checkmark:after {
        content: "";
        position: absolute;
        left: 15px;
        top: 5px;
        width: 5px;
        height: 10px;
        border: solid #555;
        border-width: 0 3px 3px 0;
        transform: rotate(45deg);
        display: none;
    }

    #relative {
        position: relative;
    }

    .shadow {
        border-radius: 10px;
        box-shadow: 0 0 10px #bbb;
        width: 80%;
    }

    .btn {
        color: #828282;
        border: white 2px solid;
        background: linear-gradient(to bottom, #fff 80%, #eee 95%);
        width: 100%;
        border-radius: 10px;
        box-shadow: 0 0 7px #eee inset;
        transition: ease 0.1s;
        cursor: pointer;
    }

    .btn:hover {
        transform: scale(1.03);
    }

    .btn:active {
        transform: scale(0.95);
    }

    #select {
        padding: 2px;
        border: #ccc 2px solid;
        background-image: linear-gradient(to top, #fff, #eee);
        border-radius: 5px;
        font-family: WiiU;
        color: #828282;
        margin-bottom: 10px;
    }

#select-theme {
    padding: 2px;
    border: #ccc 2px solid;
    background-image: linear-gradient(to top, #fff, #eee);
    border-radius: 5px;
    font-family: WiiU;
    color: #828282;
}

    hr {
        border: none;
        height: 2px;
        background-color: #ccc;
        margin: 10px 0 10px 0;
        width: 100%;
    }

.bottom-left-footer {
    padding: 6px 20px 6px 6px;
    border: #fff 2px solid;
    background-image: linear-gradient(to top, #fff, #eee);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 0px 30px 0px 0px;
    font-family: WiiU;
    color: #828282;
    position: fixed;
    left: 0;
    bottom: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 25px;
}

a img {
    width: 30px;
    height: auto;
    border-radius: 5px;
    padding: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transition: ease 0.2s;
    filter: brightness(0.7);
    position: relative;
    top: 5px;
    cursor: pointer;
}

    a img:hover {
        transform: scale(1.05);
    }

    a img:active {
        transform: scale(0.95);
    }

.btn-suggestion {
    width: fit-content;
    height: 40px;
    border-radius: 10px;
    padding: 0 5px 0 5px;
    background-image: linear-gradient(to top, #fff, #eee);
    border: 2px solid #fff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transition: ease 0.2s;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
}

    .btn-suggestion:hover {
        transform: scale(1.03);
    }

    .btn-suggestion:active {
        transform: scale(0.95);
    }

@media (max-width:800px) {
    .bottom-left-footer {
        gap: 10px;
        padding: 0;
        border-radius: 0;
        width: 100%;
        border: none;
        border-top: 2px solid #fff;
        opacity: 0.8;
        display: flex;
        flex-direction: row;
        justify-content: center;
    }
    a img {
        width: 30px;
        height: auto;
    }
    .btn-suggestion {
        font-size: 8px;
    }
    .checkmark {
        font-size: 8px;
    }
    .bottom-left-footer p {
        font-size: 8px;
    }
}

button {
    color: #828282;
    border: white 2px solid;
    background: linear-gradient(to bottom, #fff 80%, #eee 95%);
    width: 100%;
    padding: 15px 0 15px 0;
    border-radius: 10px;
    box-shadow: 0 0 7px #eee inset;
    transition: ease 0.1s;
    cursor: pointer;
}

textarea {
    border: #ccc 2px solid;
    background-image: linear-gradient(to top, #fff, #eee);
    border-radius: 5px;
    font-family: WiiU;
    color: #828282;
    padding: 10px;
    width: 80%;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transition: ease 0.2s;
}

    textarea:hover {
        transform: scale(1.02);
    }

    textarea:active {
        transform: scale(0.98);
    }

input[type="email"] {
    border: #ccc 2px solid;
    background-image: linear-gradient(to top, #fff, #eee);
    border-radius: 5px;
    font-family: WiiU;
    color: #828282;
    padding: 10px;
    width: 80%;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transition: ease 0.2s;
}

    input[type="email"]:hover {
        transform: scale(1.02);
    }

    input[type="email"]:active {
        transform: scale(0.98);
    }